Easy File Sharing FTP ServerのPASSコマンドのオーバーフロー

high Nessus プラグイン ID 24021

概要

リモートFTPサーバーは、バッファオーバーフロー脆弱性の影響を受けます。

説明

リモートホストは、Windows用のFTPサーバーである、Easy File Sharing FTP Serverを使用しているようです。

リモートホストにインストールされているバージョンのEasy File Sharing FTP Serverには、特別に細工されたPASSコマンドを持つ、認証されていないユーザー攻撃者が悪用する可能性があるスタックベースのバッファオーバーフローの脆弱性があります。これにより、影響を受けるアプリケーションをクラッシュするか、影響を受けるホストで任意のコードを実行します。

ソリューション

現時点では不明です。

プラグインの詳細

深刻度: High

ID: 24021

ファイル名: efs_ftp_server_pass_overflow.nasl

バージョン: 1.19

タイプ: remote

ファミリー: FTP

公開日: 2007/1/17

更新日: 2018/7/10

リスク情報

VPR

リスクファクター: High

スコア: 7

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 6.2

ベクトル: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: CVSS2#E:F/RL:OF/RC:C

脆弱性情報

除外される KB アイテム: global_settings/supplied_logins_only

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

脆弱性公開日: 2006/7/31

エクスプロイト可能

CANVAS (CANVAS)

Core Impact

Metasploit (Easy File Sharing FTP Server 2.0 PASS Overflow)

参照情報

CVE: CVE-2006-3952

BID: 19243

EDB-ID: 2234, 33538